Package com.pixelmed.test

# Class TestNumericContentItemFloatingAndRational

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
com.pixelmed.test.TestNumericContentItemFloatingAndRational

All Implemented Interfaces:
  `junit.framework.Test`

public class TestNumericContentItemFloatingAndRational extends junit.framework.TestCase

## Constructor Summary

Constructors
Constructor
Description
`TestNumericContentItemFloatingAndRational(String name)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`setUp()`
`static junit.framework.Test`
`suite()`
`protected void`
`tearDown()`
`void`
`TestNumericContentItemFloatingAndRational_DoubleConstructor_MinimalSubNormal()`
`void`
`TestNumericContentItemFloatingAndRational_DoubleConstructor_SubNormalAllMantissaBitsSet()`
`void`
`TestNumericContentItemFloatingAndRational_FloatingFromAttributeListConstructor()`
`void`
`TestNumericContentItemFloatingAndRational_FloatingFromAttributeListConstructor_nonSR()`
`void`
`TestNumericContentItemFloatingAndRational_FloatingFromDoubleConstructor()`
`void`
`TestNumericContentItemFloatingAndRational_RationalAndFloatingFromDoubleConstructor()`
`void`
`TestNumericContentItemFloatingAndRational_RationalAndFloatingFromDoubleConstructorDivideByZero()`
`void`
`TestNumericContentItemFloatingAndRational_RationalFromAttributeListConstructor()`
`void`
`TestNumericContentItemFloatingAndRational_StringOnlyConstructor()`
`void`
`TestNumericContentItemFloatingAndRational_StringOnlyConstructor_nonSR()`
`void`
`TestNumericContentItemFloatingAndRational_StringOnlyFromAttributeListConstructor()`
`void`
`TestNumericContentItemFloatingAndRational_StringOnlyFromAttributeListConstructor_NonSR()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TestNumericContentItemFloatingAndRational

public TestNumericContentItemFloatingAndRational(String name)

## Method Details

### suite

public static junit.framework.Test suite()

### setUp

protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

### tearDown

protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

### TestNumericContentItemFloatingAndRational_StringOnlyFromAttributeListConstructor_NonSR

public void TestNumericContentItemFloatingAndRational_StringOnlyFromAttributeListConstructor_NonSR() throws Exception

Throws:
  `Exception`

### TestNumericContentItemFloatingAndRational_StringOnlyFromAttributeListConstructor

public void TestNumericContentItemFloatingAndRational_StringOnlyFromAttributeListConstructor() throws Exception

Throws:
  `Exception`

### TestNumericContentItemFloatingAndRational_FloatingFromAttributeListConstructor

public void TestNumericContentItemFloatingAndRational_FloatingFromAttributeListConstructor() throws Exception

Throws:
  `Exception`

### TestNumericContentItemFloatingAndRational_FloatingFromAttributeListConstructor_nonSR

public void TestNumericContentItemFloatingAndRational_FloatingFromAttributeListConstructor_nonSR() throws Exception

Throws:
  `Exception`

### TestNumericContentItemFloatingAndRational_RationalFromAttributeListConstructor

public void TestNumericContentItemFloatingAndRational_RationalFromAttributeListConstructor() throws Exception

Throws:
  `Exception`

### TestNumericContentItemFloatingAndRational_StringOnlyConstructor_nonSR

public void TestNumericContentItemFloatingAndRational_StringOnlyConstructor_nonSR() throws Exception

Throws:
  `Exception`

### TestNumericContentItemFloatingAndRational_StringOnlyConstructor

public void TestNumericContentItemFloatingAndRational_StringOnlyConstructor() throws Exception

Throws:
  `Exception`

### TestNumericContentItemFloatingAndRational_FloatingFromDoubleConstructor

public void TestNumericContentItemFloatingAndRational_FloatingFromDoubleConstructor() throws Exception

Throws:
  `Exception`

### TestNumericContentItemFloatingAndRational_RationalAndFloatingFromDoubleConstructor

public void TestNumericContentItemFloatingAndRational_RationalAndFloatingFromDoubleConstructor() throws Exception

Throws:
  `Exception`

### TestNumericContentItemFloatingAndRational_RationalAndFloatingFromDoubleConstructorDivideByZero

public void TestNumericContentItemFloatingAndRational_RationalAndFloatingFromDoubleConstructorDivideByZero() throws Exception

Throws:
  `Exception`

### TestNumericContentItemFloatingAndRational_DoubleConstructor_MinimalSubNormal

public void TestNumericContentItemFloatingAndRational_DoubleConstructor_MinimalSubNormal() throws Exception

Throws:
  `Exception`

### TestNumericContentItemFloatingAndRational_DoubleConstructor_SubNormalAllMantissaBitsSet

public void TestNumericContentItemFloatingAndRational_DoubleConstructor_SubNormalAllMantissaBitsSet() throws Exception

Throws:
  `Exception`